Bug Hunting Session
Bug 106777 - Marchen text clipped in Writer
Summary: Marchen text clipped in Writer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.1.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevAdvice
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2017-03-26 14:47 UTC by Volga
Modified: 2019-01-18 03:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Marchen test (9.79 KB, application/vnd.oasis.opendocument.text)
2017-03-26 14:51 UTC, Volga
Details
Test file with a high magnification (200 %) (153.74 KB, image/png)
2017-03-27 14:28 UTC, Jacques Guilleron
Details
Test file with a reduced displaying window (136.02 KB, image/png)
2017-03-27 15:18 UTC, Jacques Guilleron
Details
Screenshot from LO 5.3.2.0.0 (78.05 KB, image/png)
2017-03-28 09:49 UTC, Volga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2017-03-26 14:47:56 UTC
Description:
When I try to use BabelStone Marchen font in LibreOffice Writer, I found the text not compeletely rendered.

Steps to Reproduce:
1. Download & install BabelStone Marchen font
2. Open LO Writer
3. Copy texts from following pages:
http://babelstone.co.uk/Blog/2008/01/zhang-zhung-royal-seal.html
http://babelstone.co.uk/Blog/2007/05/babelstone-tibetan-smar-chen.html
4. Set font name as BabelStone Marchen & save file

Actual Results:  
After I paste Marchen texts into Writer, the text looks sightly clipped, especially for Anusvara and Candrabindu signs, even I open the file again.

Expected Results:
They should redering completely as the following image:
http://www.babelstone.co.uk/ZhangZhung/smarchentest9.jpg


Reproducible: Always

User Profile Reset: No

Additional Info:
Version: 5.3.1.2 (x64)
Build ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: zh-CN (zh_CN); Calc: group

The BabelStone Marchen font is avialable from here:
http://www.babelstone.co.uk/Fonts/Marchen.html


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Volga 2017-03-26 14:51:15 UTC
Created attachment 132148 [details]
Marchen test

Test file including Marchen text
Comment 2 Volga 2017-03-26 15:07:07 UTC
The above links come from BabelStone website, when you see them on Firefox 52.0 and later, you can also see what they should looks like.
Comment 3 Jacques Guilleron 2017-03-27 14:28:23 UTC
Created attachment 132170 [details]
Test file with a high magnification (200 %)

Hi Volga,

What I see with
LO 5.3.1.2 Build ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
Threads CPU : 2; Version de l'OS :Windows 6.1; UI Render : par défaut; Moteur de mise en page : nouveau; Locale : fr-FR (fr_FR); Calc: CL

Jacques
Comment 4 Jacques Guilleron 2017-03-27 15:18:25 UTC
Created attachment 132171 [details]
Test file with a reduced displaying window

When I reduce the width of the window, I obtain this displaying.
Is that what you are talking of?

Jacques
Comment 5 Volga 2017-03-28 02:03:08 UTC
(In reply to Jacques Guilleron from comment #3)
> Created attachment 132170 [details]
> Test file with a high magnification (200 %)
> 
> Hi Volga,
> 
> What I see with
> LO 5.3.1.2 Build ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
> Threads CPU : 2; Version de l'OS :Windows 6.1; UI Render : par défaut;
> Moteur de mise en page : nouveau; Locale : fr-FR (fr_FR); Calc: CL
> 
> Jacques

This is what I have seen at the first time when I open the file.
Comment 6 Volga 2017-03-28 09:49:12 UTC
Created attachment 132209 [details]
Screenshot from LO 5.3.2.0.0

I tested again on LO 5.3.2.0.0

Version: 5.3.2.0.0+ (x64)
Build ID: c8f0a37ff804e6329b21a4b7bfabb0667263c6e5
CPU Threads: 4; OS Version: Windows 6.19; UI Render: GL; Layout Engine: new; 
Locale: zh-CN (zh_CN); Calc: group

When I open the file at the first time, the text looks clipped, but after I resize the window, they looks normal.
Comment 7 Jacques Guilleron 2017-04-10 14:32:35 UTC
Hi Volga,

I get the same results with Mangal font.

Jacques
Comment 8 Volga 2017-04-10 14:58:26 UTC Comment hidden (obsolete)
Comment 9 Volga 2017-04-11 11:51:40 UTC
So I suggest LibreOffice should always render the texts as expected whenever loading them at the first time or resizing the window.
Comment 10 Volga 2017-11-19 17:12:35 UTC
Now all Marchen text rendered as expected. Confirmed on the following build:

Version: 6.0.0.0.alpha1+ (x64)
Build ID: b904d639a801d6d610d8e53ba23cae9781ab9569
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-19_02:10:19
Locale: zh-CN (zh_CN); Calc: group
Comment 11 Jacques Guilleron 2017-11-19 17:34:00 UTC
Hi Volga,

I confirm the correct renderer with
LO 6.0.0.0.alpha1+ Build ID: 133d617a7758acb342d82e5d446e165cd87e2cac
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-11-18_01:48:12
Locale: fr-FR (fr_FR); Calc: CL
Close it as Works for me.
Comment 12 Volga 2017-12-12 13:34:42 UTC
Unfortunately, the problem appearing to me again, but I found there are two ways to make the problem disappeared when I opened the file:
1. Resize the window
2. Minimize the window into taskbar, then reopen it.

Version: 6.0.0.0.beta2+ (x64)
Build ID: b030bf19e29f031b0a640dd92c38d654785f1a99
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-0, Time: 2017-12-12_05:03:02
Locale: zh-CN (zh_CN); Calc: group threaded
Comment 13 QA Administrators 2019-01-18 03:58:45 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug